aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 14:14:56 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 14:14:56 -0500
commitb738a9419e20009e9eede93974c35e47b6f847e8 (patch)
treed7deb578e8cd05bb61f82661fb5088603ceb631d
parenta637659b41e1930349b31ce152c1cfbb9a6b5333 (diff)
Use printf and do some minor cleanup.
-rw-r--r--insidechroot.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/insidechroot.sh b/insidechroot.sh
index 529fb1e..7cbee29 100644
--- a/insidechroot.sh
+++ b/insidechroot.sh
@@ -3,11 +3,11 @@
source /sources/colors.sh
source /sources/spinner.sh
-echo -e "${GRN}Successfully entered ${RED}CHROOT${RST}!\n"
+printf "%b" "${GRN}Successfully entered ${RED}CHROOT${RST}!\n"
-echo -e "${GRN}Creating directories...${RST}"
+printf "%b" "${GRN}Creating directories...${RST}\n"
if [ -f /sources/createdirs ]; then
- echo -e "${GRN} Directories already created.${RST}"
+ printf "%b" "${GRN} Directories already created.${RST}\n"
else
mkdir -p /boot
mkdir -p /home
@@ -80,13 +80,13 @@ else
install -d -m 0750 /root
install -d -m 1777 /tmp /var/tmp
- echo -e " ${GRN}Directories created${RST}"
+ printf "%b" " ${GRN}Directories created${RST}\n"
touch /sources/createdirs
fi
-echo -e "${GRN}Creating essential files and symbolic links... ${RST}"
+printf "%b" "${GRN}Creating essential files and symbolic links... ${RST}\n"
if [ -f "/sources/symfiles" ]; then
- echo -e " ${GRN}Files and symbolic links already created.${RST}"
+ printf "%b" " ${GRN}Files and symbolic links already created.${RST}\n"
else
ln -sf /proc/self/mounts /etc/mtab
echo "127.0.0.1 localhost $(hostname)" > /etc/hosts
@@ -128,7 +128,7 @@ nogroup:x:99:
users:x:999:
EOF
- echo "tester:x:$(ls -n $(tty) | cut -d" " -f3):101::/home/tester:/bin/bash" >> /etc/passwd
+ echo "tester:x:$(ls -n "$(tty)" | cut -d" " -f3):101::/home/tester:/bin/bash" >> /etc/passwd
echo "tester:x:101:" >> /etc/group
install -o tester -d /home/tester
@@ -144,7 +144,7 @@ EOF
touch /sources/symfiles
fi
-cd /sources
+cd /sources || exit 1
# Chapter 7
for package in libstdc++ gettext bison perl python texinfo util-linux; do